Subject: Re: arguments for redo-targets and redo-sources?

From: Sergey Matveev <[email-masked]>
Date: Mon, 21 Jun 2021 16:47:47 +0300

Greetings!

*** Karolis K [2021-06-20 12:38]:
>Note that this was also on the roadmap of apenwarr's redo implementation:
>https://redo.readthedocs.io/en/latest/Roadmap/#redo-sourcestargetsood-should-take-a-list-of-targets

Seems good idea. Personally I have never tried to use redo-ood/sources/targets,
so have no private experience with those use-cases.

In 1.5.0 I added the ability to narrow the results of redo-ood/sources/targets,
by specifying an optional list of targets. Moreover redo-sources recursively
goes through all dependencies, showing all source files affecting the
specified target. For example in my C-project I get:

    % redo-sources src/zero.o
    conf/cmd/default.do
    conf/cmd/list
    conf/flags/common.rc.do
    conf/flags/dmalloc.rc.do
    conf/flags/mutex.pthread.rc
    conf/flags/mutex.rc.do
    conf/flags/pc.list
    conf/flags/tai.rc.do
    conf/fn2env.sh
    conf/methods.do
    conf/vars.do
    conf/vars.list.do
    config
    src/zero-bzero.c
    src/zero.h
    src/zero.o.do

    % cd src ; redo-sources mlock.o
    ../conf/cmd/default.do
    ../conf/cmd/list
    ../conf/flags/common.rc.do
    ../conf/flags/dmalloc.rc.do
    ../conf/flags/mutex.pthread.rc
    ../conf/flags/mutex.rc.do
    ../conf/flags/pc.list
    ../conf/flags/tai.rc.do
    ../conf/fn2env.sh
    ../conf/methods.do
    ../conf/vars.do
    ../conf/vars.list.do
    ../config
    cricksdt.d
    cricksdt.h.do
    dtrace-dummy.pl
    err.h
    log.h
    mlock-posixrt.c
    mlock.h
    mlock.o.do

so I clearly see that changing of anything related to various flags and
commands determination will probably affect building of the object files.
Looks pretty useful!

And seems I have satisfied apenwarr/redo's roadmap entry.

Also redo.sh-tests project contains the newly appeared redo-ood related
tests, that are also passing in goredo.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF